Search Last Version of Virtualbox i can use on Windows XP as host

Discussions related to using VirtualBox on Windows hosts.
Post Reply
gantnerer
Posts: 3
Joined: 21. Mar 2020, 13:35

Search Last Version of Virtualbox i can use on Windows XP as host

Post by gantnerer »

What is the Last Version of Virtualbox that i can use with Windows XP SP3 as Host OS?
for me the last Version i can Install and Start without Error is:

VirtualBox-4.3.18-96516-Win.exe
Oracle_VM_VirtualBox_Extension_Pack-4.3.18-96516a.vbox-extpack

all newer Versions I can Install, But If i Start VirtualBox Icon come this Error:
WinVerifyTrust failed on stub executable: WinVerifyTrust failed with hrc=CERT_E_CHAINING on '\Device\HarddiskVolume1\Programme\Oracle\VirtualBox\VirtualBox.exe' (rc=-22919)Please try reinstalling VirtualBox.

where: VirtualBox
what: 1
VERR_LDRVI_UNSUPPORTED_ARCH (-22919) - Unsupported image target architecture.
Have found this is a Security Hardening Error from VirtualBox or Microsoft Windows XP Sp3.

Code: Select all

Solution on Web say:

KEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\services\VBoxDrv
Start. Change it's value from 1 to 3. Close the registry editor and restart your computer.

or cmd, sc start vboxdrv with Admin Privilegs. 

or C:\Program Files\Oracle\VirtualBox\drivers\vboxdrv\VBoxDrv.inf
StartType      = 3
Have Tested newer Version Installations ok but with Start Error:
VirtualBox-4.3.20-96997-Win.exe
VirtualBox-5.0.18-106667-Win.exe (from v5.0 and above, Support for Windows XP has ended)
VirtualBox-5.2.38-136252-Win x32.exe

Latest Official Support:
h t t p s ://www . virtualbox . org /manual/ch01.html
1.4. Supported host operating systems ->

29.June.2015
h t t p s ://web. archive . org/web/20150629141616/h t t p s ://www . virtualbox . org /manual/ch01.html#hostossupport
Windows hosts: Windows XP, all service packs (32-bit)

20.July.2015
h t t p s ://web. archive . org /web/20150720002256/h t t p s ://www . virtualbox . org/manual/ch01.html#hostossupport
Windows hosts: no more Windows XP, has been removed

Downloads:

05.July.2015
h t t p s ://www . virtualbox . org/wiki/Downloads
h t t p s ://web. archive . org/web/20150705065908/h t t p s ://www . virtualbox . org/wiki/Downloads
VirtualBox 4.3.28 for Windows hosts

12.July.2015
h t t p s ://www . virtualbox . org/wiki/Downloads
h t t p s ://web. archive . org/web/20150712224954/h t t p s : / / www . virtualbox . org/wiki/Downloads
VirtualBox 5.0 for Windows hosts

my Question now:
The Solution on the web doesn't help me. I have still the same Error Above v4.3.20
How can i Start successfully: VirtualBox 4.3.40 (released August 22nd 2016) ?

Thanks for your help
Gantnerer (Germany)
mpack
Site Moderator
Posts: 39134
Joined: 4. Sep 2008, 17:09
Primary OS: MS Windows 10
VBox Version: PUEL
Guest OSses: Mostly XP

Re: Search Last Version of Virtualbox i can use on Windows XP as host

Post by mpack »

Support for XP hosts officially ended when 5.0.0 was released. However, I myself was still using XP at the time and found that it still worked - none of which constitutes a promise that it will work for you.

At some point, VirtualBox 6.0.0 I think, support for 32bit hosts was abandoned entirely.

I don't think your problem has anything to do with running on XP. Your problem is that you have a corrupted certificate chain which causes the hardening checks to fail. Hardening was introduced in 4.3.14.
anonymous1t4mn253jk
Posts: 1
Joined: 30. May 2020, 16:42

Re: Search Last Version of Virtualbox i can use on Windows XP as host

Post by anonymous1t4mn253jk »

hello, the solution is simple.

the CERT_E_CHAINING error is caused because VeriSign Class 3 Public Primary Certification Authority - G5 certificate is missing.
Download the .cer file on the internet, double click under windows xp and install it under the trusted certificate section.
without the need of restart, vbox 5.2.x should work (i've tested with 5.2.22)
virtualhuman71
Posts: 1
Joined: 29. Aug 2023, 05:27

Re: Search Last Version of Virtualbox i can use on Windows XP as host

Post by virtualhuman71 »

anonymous1t4mn253jk wrote: 30. May 2020, 16:44 hello, the solution is simple.

the CERT_E_CHAINING error is caused because VeriSign Class 3 Public Primary Certification Authority - G5 certificate is missing.
Download the .cer file on the internet, double click under windows xp and install it under the trusted certificate section.
without the need of restart, vbox 5.2.x should work (i've tested with 5.2.22)
What .cer file do I download? i cannot find what you are talking about.

Please explain further, thanks.
Post Reply